Bug 76143 - Upgrading to errata kernel causes /dev/st0 to disappear
Upgrading to errata kernel causes /dev/st0 to disappear
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 10:57 EDT by Jeff Potter
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for 2.4.18-5smp kernel (12.28 KB, patch)
2002-10-17 10:58 EDT, Jeff Potter
no flags Details | Diff
dmesg output for 2.4.18-17.7x smp kernel (12.35 KB, patch)
2002-10-17 10:59 EDT, Jeff Potter
no flags Details | Diff

  None (edit)
Description Jeff Potter 2002-10-17 10:57:07 EDT
Upgrading from 2.4.18-5smp to either of the latest errata kernels (2.4.18-10smp or 
2.4.18-17.7smp causes scsi tape to stop functioning.

% mt -f /dev/st0 status
/dev/st0: No such device

rebooting back to the 2.4.18-5smp kernel fixes the problem. No other changes were 
made to the box.  7.3 was installed fresh (ie, not an upgrade install on 7.2).
Booting into the counterpart non-smp versions produces the same results.

On booting the errata kernels, /proc/scsi/scsi contains:
Attached devices: 

Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: DELL     Model: PERCRAID RAID5   Rev: V1.0
  Type:   Direct-Access                    ANSI SCSI revision: 02


On booting the -5 kernel (stock from CD), /proc/scsi/scsi contains:
Attached devices: 
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: ARCHIVE  Model: Python 06408-XXX Rev: 8130
  Type:   Sequential-Access                ANSI SCSI revision: 03
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: DELL     Model: PERCRAID RAID5   Rev: 0001
  Type:   Direct-Access                    ANSI SCSI revision: 02


dmesg logs for both 2.4.18-5smp and 2.4.18-17.7smp are attached.  diffing the 2 shows a 
few things, including in the errata kernels:

< Red Hat/Adaptec aacraid driver, Oct  8 2002
< AAC0: kernel 2.1.4 build 2951
< AAC0: monitor 2.1.4 build 2951
< AAC0: bios 2.1.0 build 2951
< AAC0: serial 0a2401d0
Comment 1 Jeff Potter 2002-10-17 10:58:17 EDT
Created attachment 80804 [details]
dmesg output for 2.4.18-5smp kernel
Comment 2 Jeff Potter 2002-10-17 10:59:54 EDT
Created attachment 80805 [details]
dmesg output for 2.4.18-17.7x smp kernel
Comment 3 Arjan van de Ven 2002-10-17 11:02:28 EDT
can you attach your /etc/modules.conf too ?
what does "modprobe aic7xxx" result ?
Comment 4 Jeff Potter 2002-10-17 11:09:20 EDT
% modprobe aic7xxx
%
(modprobe prints nothing, first time I ran it, it took ~10 seconds.)

% lsmod | grep aic
aic7xxx               129632   0  (unused)
scsi_mod              108048   3  [aic7xxx aacraid sd_mod]


% cat /etc/modules.conf
#alias parport_lowlevel parport_pc
alias eth0 eepro100
alias eth1 eepro100
alias scsi_hostadapter aic7xxx
alias scsi_hostadapter1 aacraid
alias scsi_hostadapter2 aacraid
#alias usb-controller usb-ohci

Originigally, 'alias scsi_hostadapter aic7xxx' was commented out. I played with 
uncommenting it today while debugging.
Comment 5 Bugzilla owner 2004-09-30 11:40:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.